# AffinityOrAntiAffinityRule

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**vnfd_id** | [**list[Identifier]**](Identifier.md) | Reference to a VNFD. When the VNFD which is not used to instantiate VNF, it presents all VNF instances of this type as the subjects of the affinity or anti-affinity rule. The VNF instance which the VNFD presents is not necessary as a part of the NS to be instantiated.  | [optional] 
**vnf_profile_id** | [**list[IdentifierInNsd]**](IdentifierInNsd.md) | Reference to a vnfProfile defined in the NSD. At least one VnfProfile which is used to instantiate VNF for the NS to be instantiated as the subject of the affinity or anti-affinity rule shall be present. When the VnfProfile which is not used to instantiate VNF, it presents all VNF instances of this type as the subjects of the affinity or anti-affinity rule. The VNF instance which the VnfProfile presents is not necessary as a part of the NS to be instantiated.  | [optional] 
**vnf_instance_id** | [**list[Identifier]**](Identifier.md) | Reference to the existing VNF instance as the subject of the affinity or anti-affinity rule. The existing VNF instance is not necessary as a part of the NS to be instantiated.  | [optional] 
**affinity_or_anti_affiinty** | **str** | The type of the constraint. Permitted values: AFFINITY ANTI_AFFINITY.  | 
**scope** | **str** | Specifies the scope of the rule where the placement constraint applies. Permitted values: NFVI_POP ZONE ZONE_GROUP NFVI_NODE.  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

