# ClusterConfigurations

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**cni_editable** | **bool** | Internal flag to indicate if add/edit on CNIs are allowed. | [optional] [default to True]
**csi_editable** | **bool** | Internal flag to indicate if add/edit on CSIs are allowed. | [optional] [default to True]
**cni** | [**list[ClusterConfigurationsCni]**](ClusterConfigurationsCni.md) | Container Network Interfaces configured to the cluster. | [optional] 
**networking** | [**list[ClusterConfigurationsNetworking]**](ClusterConfigurationsNetworking.md) | List of networking addon on the cluster. | [optional] 
**csi** | [**list[ClusterConfigurationsCsi]**](ClusterConfigurationsCsi.md) | Container Storage Interfaces configured to the cluster. | [optional] 
**kubernetes_version** | **str** | Kubernetes version of the cluster. | [optional] 
**tools** | **list[OneOfclusterConfigurationsToolsItems]** | List of operators and addons on the cluster. | [optional] 
**system_settings** | [**list[ClusterRequestClusterConfigSystemSettings]**](ClusterRequestClusterConfigSystemSettings.md) | List of syslog servers added to the cluster. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

