# ClusterConfigurationsProperties1

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **str** | Name of the storage class. Defaults to &#x27;vsphere-sc&#x27; for type vsphere-csi. Defaults to &#x27;nfs-client&#x27; for type nfs_client. Input can be given only if type is vsphere-csi (Optional).  | [optional] 
**is_default** | **bool** | Default storage class in k8s for pvc claim.  Defaults to True for type vsphere-csi. Defaults to False for type nfs_client.  Only one type of storage class can be default storage class. (Optional)  | [optional] 
**server_ip** | **str** | NFS Server IP Address. Valid only if type is nfs_client (Mandatory) | [optional] 
**mount_path** | **str** | Mount Path of NFS Server. Valid only if type is nfs_client (Mandatory) | [optional] 
**datastore_url** | **str** | Datastore Url for vSphere CSI. If no datastore is provided master node datastore is considered. Valid only if type is vsphere-csi (Optional)  | [optional] 
**timeout** | **str** | Timeout of all calls to CSI driver. If not specified default value is 300 seconds. Valid only if type is vsphere-csi (Optional).  | [optional] 
**region** | **str** | Name of the region label. Category with provided name should be created inside vCenter where k8s nodes resides. Tag belonging to this category should be applied on the Datacenter.  | [optional] 
**zone** | **str** | Name of the zone label. Category with provided name should be created inside vCenter where k8s nodes resides. Tag belonging to this category should be applied on the Cluster(s)/Host(s). Tag should be applied only on the host or its belonging cluster.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

