# ClusterRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**cluster_password** | **str** | This password is used to login to the master nodes and worker nodes. The username is \&quot;capv\&quot;. | [optional] 
**cluster_template_id** | **str** |  | 
**ip_families** | **str** |  | [optional] 
**cluster_type** | **str** |  | 
**description** | **str** |  | [optional] 
**location** | [**Location**](Location.md) |  | [optional] 
**cluster_config** | [**ClusterRequestClusterConfig**](ClusterRequestClusterConfig.md) |  | [optional] 
**airgap_config** | [**ClusterRequestAirgapConfig**](ClusterRequestAirgapConfig.md) |  | [optional] 
**proxy_config** | [**ProxyConfig**](ProxyConfig.md) |  | [optional] 
**hcx_cloud_url** | **str** |  | 
**vim_owner_hcx_cloud_url** | **str** | The HCX cloud URL of the cluster against which the vim will be registered. This HCX will be responsible for the LCM of the cluster.  | [optional] 
**endpoint_ip** | **str** | API server load balancer IP. This address is used by Kube-vip pod that runs in the control plane nodes and provides load balancing services for the cluster API server. Make sure that this Ip Address is not in the DHCP range, but its in the same subnet as the DHCP range of master node&#x27;s management network. | 
**management_cluster_id** | **str** |  | [optional] 
**master_nodes** | [**list[ClusterRequestMasterNodes]**](ClusterRequestMasterNodes.md) | Pool of nodes on which Kubernetes control plane can run. | 
**name** | **str** |  | 
**placement_params** | [**list[ClusterRequestPlacementParams]**](ClusterRequestPlacementParams.md) |  | 
**vm_template** | **str** |  | 
**worker_nodes** | [**list[ClusterRequestWorkerNodes]**](ClusterRequestWorkerNodes.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

