# ClusterSpec

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**cluster_template_id** | **str** |  | 
**cluster_type** | **str** |  | 
**ip_families** | **str** |  | [optional] 
**description** | **str** |  | [optional] 
**cluster_config** | [**ClusterSpecClusterConfig**](ClusterSpecClusterConfig.md) |  | [optional] 
**airgap_config** | [**ClusterRequestAirgapConfig**](ClusterRequestAirgapConfig.md) |  | [optional] 
**proxy_config** | [**ProxyConfig**](ProxyConfig.md) |  | [optional] 
**hcx_cloud_url** | **str** |  | 
**vim_owner_hcx_cloud_url** | **str** |  | [optional] 
**vim_id** | **str** |  | [optional] 
**vim_owner_vim_id** | **str** |  | [optional] 
**hcx_uuid** | **str** |  | [optional] 
**resource_provider_hcx_uuid** | **str** |  | [optional] 
**management_cluster_id** | **str** |  | [optional] 
**master_nodes** | [**list[ClusterSpecMasterNodes]**](ClusterSpecMasterNodes.md) | Pool of nodes on which Kubernetes control plane can run. | 
**placement_params** | [**list[ClusterRequestPlacementParams]**](ClusterRequestPlacementParams.md) |  | 
**vm_template** | **str** | OS Image With Kubernetes | 
**worker_nodes** | [**list[ClusterSpecWorkerNodes]**](ClusterSpecWorkerNodes.md) | Pool of worker nodes on which Network Functions can run. Each Node Pool can be deployed on a vSphere Resource Pool. All the worker nodes in a node pool contain same Kubelet and Operating System Configuration. It is recommended that a Node Pool should be used by only one Network Function, if it has Infrastructure requirements.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

