# ClusterSpecClusterConfigSpec

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**airgap** | [**ClusterSpecClusterConfigSpecAirgap**](ClusterSpecClusterConfigSpecAirgap.md) |  | [optional] 
**cluster_network** | [**ClusterSpecClusterConfigSpecClusterNetwork**](ClusterSpecClusterConfigSpecClusterNetwork.md) |  | [optional] 
**cni_type** | **str** | CniType represents the CNI deployed into the cluster. CniType is required for creation (can only be antrea or calico) and is immutable | 
**control_plane_endpoint** | [**ClusterSpecClusterConfigSpecControlPlaneEndpoint**](ClusterSpecClusterConfigSpecControlPlaneEndpoint.md) |  | [optional] 
**ip_families** | **str** | IPFamilies represents the IP Family of cluster. IPFamilies is optional for creation, can be set to \&quot;IPv4\&quot;(default) or \&quot;IPv6\&quot; and is immutable. | [optional] 
**proxy** | [**ClusterSpecClusterConfigSpecProxy**](ClusterSpecClusterConfigSpecProxy.md) |  | [optional] 
**public_key_ref** | [**ClusterSpecClusterConfigSpecPublicKeyRef**](ClusterSpecClusterConfigSpecPublicKeyRef.md) |  | [optional] 
**strategy** | [**ClusterSpecClusterConfigSpecStrategy**](ClusterSpecClusterConfigSpecStrategy.md) |  | [optional] 
**tca_bom_release_ref** | [**ClusterSpecClusterConfigSpecTcaBomReleaseRef**](ClusterSpecClusterConfigSpecTcaBomReleaseRef.md) |  | [optional] 
**cloud_providers** | [**ClusterSpecClusterConfigSpecCloudProviders**](ClusterSpecClusterConfigSpecCloudProviders.md) |  | 
**proxy_spec** | [**ClusterSpecClusterConfigSpecProxySpec**](ClusterSpecClusterConfigSpecProxySpec.md) |  | [optional] 
**airgap_spec** | [**ClusterSpecClusterConfigSpecAirgapSpec**](ClusterSpecClusterConfigSpecAirgapSpec.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

