# ClusterSpecClusterConfigSpecProxySpec

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**type** | **str** | enum used to specify whether to use a stored config or specify a new config | [optional] 
**extension_id** | **str** | reference to partner system id | [optional] 
**http_proxy** | **str** | proxy to use for HTTP traffic | [optional] 
**https_proxy** | **str** | proxy to use for HTTPS traffic | [optional] 
**no_proxy** | **str** | proxy exclusion list, with format hosts or networks seperated by comma, for example \&quot;localhost,192.168.1.0/24\&quot; | [optional] 
**ca_cert** | **str** | Self-signed certificate or private root CA certificate in base64 format that used to verify the proxy&#x27;s certificate. It is required only if the proxy server is a HTTPS proxy that configured with self-signed certificate or certificate signed by a private root CA certificate. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

