# ClusterTemplateSpecHealthCheck

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**max_unhealthy** | **str** | Any further remediation is only allowed if at most \&quot;MaxUnhealthy\&quot; machines selected by \&quot;selector\&quot; are not healthy. | [optional] 
**node_startup_timeout** | **str** | Machines older than this duration without a node will be considered to have failed and will be remediated. | [optional] 
**unhealthy_conditions** | [**list[ClusterTemplateSpecHealthCheckUnhealthyConditions]**](ClusterTemplateSpecHealthCheckUnhealthyConditions.md) | UnhealthyConditions contains a list of the conditions that determine whether a node is considered unhealthy.  The conditions are combined in a logical OR, i.e. if any of the conditions is met, the node is unhealthy. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

