# ClusterWorkerNodes

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**cpu** | **int** | Number of virtual CPUs for worker nodes. | [optional] 
**memory** | **int** | Memory size in MB for worker nodes. | [optional] 
**name** | **str** |  | 
**networks** | [**list[ClusterNetworks1]**](ClusterNetworks1.md) | Network labels for worker nodes. These labels are used for providing network inputs during a cluster deployment. The Management interface label is mandatory. | [optional] 
**nodes** | [**list[ClusterNodes]**](ClusterNodes.md) |  | [optional] 
**storage** | **int** | Disk size in GB for worker nodes. | [optional] 
**replica** | **int** | Replica count for worker nodes. | 
**labels** | **list[str]** | These labels are attached to the nodes. You can use these labels as node selectors when instantiating a network function. | [optional] 
**clone_mode** | **str** | Key to indicate the use of linked cloning feature for cloning the VMs. If set to linkedClone, then linked cloning will be used. | [optional] 
**config** | [**ClusterConfig**](ClusterConfig.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

