# Domain

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **str** |  | 
**type** | [**DomainType**](DomainType.md) |  | 
**sub_type** | [**DomainSubType**](DomainSubType.md) |  | [optional] 
**enabled** | **bool** |  | [optional] [default to True]
**pre_deployed** | [**PreDeployed**](PreDeployed.md) |  | [optional] 
**minimum_hosts** | **int** |  | [optional] 
**parent** | **str** |  | [optional] 
**location** | [**Location**](Location.md) |  | [optional] 
**licenses** | [**Licenses**](Licenses.md) |  | [optional] 
**switches** | [**list[Switch]**](Switch.md) |  | [optional] 
**services** | [**list[Service]**](Service.md) |  | [optional] 
**networks** | [**list[Network]**](Network.md) |  | [optional] 
**appliance_overrides** | [**list[ApplianceOverride]**](ApplianceOverride.md) |  | [optional] 
**cellsite_groups** | [**list[CellsiteGroup]**](CellsiteGroup.md) |  | [optional] 
**settings** | [**DomainSettings**](DomainSettings.md) |  | [optional] 
**csi_tags** | [**CsiTags**](CsiTags.md) |  | [optional] 
**csi_categories** | [**CsiCategories**](CsiCategories.md) |  | [optional] 
**host_setting** | [**HostSetting**](HostSetting.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

