# Extension

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**extension_id** | **str** | TCA generated identifier for the Extension registered | [optional] 
**name** | **str** | Name of the Extension with which it was created | [optional] 
**type** | **str** | Type of the Extension | [optional] 
**extension_key** | **str** | Extension Key | [optional] 
**description** | **str** | Context of the Extension | [optional] 
**interface_info** | [**ExtensionInterfaceInfo**](ExtensionInterfaceInfo.md) |  | [optional] 
**access_info** | [**ExtensionAccessInfo**](ExtensionAccessInfo.md) |  | [optional] 
**additional_parameters** | **object** |  | [optional] 
**state** | **str** | State of the Extension in TCA context | [optional] 
**extension_subtype** | **str** | Subtype of the Extension | [optional] 
**products** | **list[object]** | Information regarding the SVNFM Extension | [optional] 
**vim_info** | [**list[ExtensionVimInfo]**](ExtensionVimInfo.md) |  | [optional] 
**auto_scale_enabled** | **bool** | Boolean to determine auto scale enabled on the Extension or not | [optional] 
**auto_heal_enabled** | **bool** | Boolean to determine auto scale heal on the Extension or not | [optional] 
**version** | **str** | Version of the Extension | [optional] 
**vnf_count** | **int** | Count of VNF associated with the Extension | [optional] 
**vnf_catalog_count** | **int** | Count of VNF catalog associated with the Extension | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

