# HealNsData

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**degree_healing** | **str** | Indicates the degree of healing. Possible values include: - HEAL_RESTORE: Complete the healing of the NS restoring the state of the NS before the failure occurred. Equivalent to Recreate - HEAL_QOS: Complete the healing of the NS based on the newest QoS values - HEAL_RESET: Complete the healing of the NS resetting to the original instantiation state of the NS Equivalent to Restart - PARTIAL_HEALING.  | 
**actions_healing** | [**list[String]**](String.md) | Used to specify dedicated healing actions in a particular order (e.g. as a script). The actionsHealing attribute can be used to provide a specific script whose content and actions might only be possible to be derived during runtime.  | [optional] 
**heal_script** | [**IdentifierInNsd**](IdentifierInNsd.md) |  | [optional] 
**additional_paramsfor_ns** | [**HealAdditionalParams**](HealAdditionalParams.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

