# InstantiateVnfData

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**vnfd_id** | [**Identifier**](Identifier.md) |  | 
**vnf_flavour_id** | [**IdentifierInVnfd**](IdentifierInVnfd.md) |  | 
**vnf_instantiation_level_id** | [**IdentifierInVnfd**](IdentifierInVnfd.md) |  | [optional] 
**vnf_instance_name** | **str** | Human-readable name of the VNF instance to be created.  | [optional] 
**vnf_instance_description** | **str** | Human-readable description of the VNF instance to be created.  | [optional] 
**ext_virtual_links** | [**list[ExtVirtualLinkData]**](ExtVirtualLinkData.md) | Information about external VLs to connect the VNF to.  | [optional] 
**ext_managed_virtual_links** | [**list[ExtManagedVirtualLinkData]**](ExtManagedVirtualLinkData.md) | Information about internal VLs that are managed by other entities than the VNFM.  | [optional] 
**localization_language** | **str** | Localization language of the VNF to be instantiated. The value shall comply with the format defined in IETF RFC 5646.  | [optional] 
**vnf_configurable_properties** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**additional_params** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**metadata** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**extensions** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**location_constraints** | [**VnfLocationConstraint**](VnfLocationConstraint.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

