# IpOverEthernetAddressInfo

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**mac_address** | [**MacAddress**](MacAddress.md) |  | 
**ip_addresses** | [**list[IpOverEthernetAddressInfoIpAddresses]**](IpOverEthernetAddressInfoIpAddresses.md) | Addresses assigned to the CP instance. Each entry represents IP addresses assigned by fixed or dynamic IP address assignment per subnet.  | 
**type** | **str** | The type of the IP addresses  | [optional] 
**addresses** | [**IpAddress**](IpAddress.md) |  | [optional] 
**is_dynamic** | **bool** | Indicates whether this set of addresses was assigned dynamically (true) or based on address information provided as input from the API consumer (false). Shall be present if \&quot;addresses\&quot; is present and shall be absent otherwise.  | [optional] 
**address_range** | [**IpOverEthernetAddressInfoAddressRange1**](IpOverEthernetAddressInfoAddressRange1.md) |  | [optional] 
**min_address** | [**IpAddress**](IpAddress.md) |  | [optional] 
**max_address** | [**IpAddress**](IpAddress.md) |  | [optional] 
**subnet_id** | [**IdentifierInVim**](IdentifierInVim.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

