# IpOverEthernetAddressInfoIpAddresses

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**type** | **str** | The type of the IP addresses. Permitted values: IPV4, IPV6.  | 
**addresses** | [**list[IpAddress]**](IpAddress.md) | Fixed addresses assigned (from the subnet defined by \&quot;subnetId\&quot; if provided).  | [optional] 
**is_dynamic** | **bool** | Indicates whether this set of addresses was assigned dynamically (true) or based on address information provided as input from the API consumer (false). Shall be present if \&quot;addresses\&quot; is present and shall be absent otherwise.  | [optional] 
**address_range** | [**IpOverEthernetAddressInfoAddressRange**](IpOverEthernetAddressInfoAddressRange.md) |  | [optional] 
**subnet_id** | [**IdentifierInVim**](IdentifierInVim.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

