# LifecycleChangeNotificationsFilter

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ns_instance_subscription_filter** | [**NsInstanceSubscriptionFilter**](NsInstanceSubscriptionFilter.md) |  | [optional] 
**notification_types** | **list[str]** | Match particular notification types. Permitted values: - NsLcmOperationOccurenceNotification - NsIdentifierCreationNotification - NsIdentifierDeletionNotification - NsChangeNotification  | [optional] 
**operation_types** | [**list[NsLcmOpType]**](NsLcmOpType.md) | Match particular NS lifecycle operation types for the notification of type NsLcmOperationOccurrenceNotification. May be present if the \&quot;notificationTypes\&quot; attribute contains the value \&quot;NsLcmOperationOccurrenceNotification\&quot;, and shall be absent otherwise.  | [optional] 
**operation_states** | [**list[LcmOperationStateType]**](LcmOperationStateType.md) | Match particular LCM operation state values as reported in notifications of type NsLcmOperationOccurrenceNotification. May be present if the \&quot;notificationTypes\&quot; attribute contains the value \&quot;NsLcmOperationOccurrenceNotification\&quot;, and shall be absent otherwise.  | [optional] 
**ns_component_types** | [**list[NsComponentType]**](NsComponentType.md) | Match particular NS component types for the notification of type NsChangeNotification. May be present if the \&quot;notificationTypes\&quot; attribute contains the value \&quot;NsChang.  | [optional] 
**lcm_op_name_impacting_ns_component** | [**list[LcmOpNameForChangeNotificationType]**](LcmOpNameForChangeNotificationType.md) | Match particular LCM operation names for the notification of type NsChangeNotification. May be present if the \&quot;notificationTypes\&quot; attribute contains the value \&quot;NsChangeNotification\&quot;, and shall be absent otherwise.  | [optional] 
**lcm_op_occ_status_impacting_ns_component** | [**list[LcmOpOccStatusForChangeNotificationType]**](LcmOpOccStatusForChangeNotificationType.md) | Match particular LCM operation status values as reported in notifications of type NsChangeNotification. May be present if the \&quot;notificationTypes\&quot; attribute contains the value \&quot;NsChangeNotification\&quot;, and shall be absent otherwise.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

