# NfpData

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**nfp_info_id** | [**IdentifierInNs**](IdentifierInNs.md) |  | [optional] 
**nfp_name** | **str** | Human readable name for the NFP. It shall be present for the new NFP, and it may be present otherwise. It shall be present for the new NFP, and it may be  present otherwise.  | [optional] 
**description** | **str** | Human readable description for the NFP. It shall be present for the new NFP, and it may be present otherwise. It shall be present for the new NFP, and it may be  present otherwise.  | [optional] 
**cp_group** | [**list[CpGroupInfo]**](CpGroupInfo.md) | Group(s) of CPs and/or SAPs which the NFP passes by. Cardinality can be 0 if only updated or newly created NFP classification and selection rule which applied to an existing NFP is provided. At least a CP or an nfpRule shall be present. When multiple identifiers are included, the position of  the identifier in the cpGroup value specifies the position  of the group in the path.  | [optional] 
**nfp_rule** | [**NfpRule**](NfpRule.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

