# NfpRule

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ether_destination_address** | [**MacAddress**](MacAddress.md) |  | [optional] 
**ether_source_address** | [**MacAddress**](MacAddress.md) |  | [optional] 
**ether_type** | **str** | Human readable description for the VNFFG.  | [optional] 
**vlan_tag** | [**list[String]**](String.md) | Indicates a VLAN identifier in an IEEE 802.1Q-2018 tag [6] Multiple tags can be included for QinQ stacking. See note.  | [optional] 
**protocol** | **str** | Indicates the L4 protocol, For IPv4 [7] this corresponds to the field called \&quot;Protocol\&quot; to identify the next level protocol. For IPv6 [28] this corresponds to the field is called the \&quot;Next Header\&quot; field. Permitted values: Any keyword defined in the IANA protocol registry [1], e.g.: TCP UDP ICMP  | [optional] 
**dscp** | **str** | For IPv4 [7] a string of \&quot;0\&quot; and \&quot;1\&quot; digits that corresponds to the 6-bit Differentiated Services Code Point (DSCP) field of the IP header. For IPv6 [28] a string of \&quot;0\&quot; and \&quot;1\&quot; digits that corresponds to the 6 differentiated services bits of the traffic class header field  | [optional] 
**source_port_range** | [**PortRange**](PortRange.md) |  | [optional] 
**destination_port_range** | [**PortRange**](PortRange.md) |  | [optional] 
**source_ip_address_prefix** | [**IpAddressPrefix**](IpAddressPrefix.md) |  | [optional] 
**destination_ip_address_prefix** | [**IpAddressPrefix**](IpAddressPrefix.md) |  | [optional] 
**extended_criteria** | [**list[Mask]**](Mask.md) | Indicates values of specific bits in a frame.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

