# NodepoolStatus

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**need_upgrade** | **bool** | NeedUpgrade defines if this node pool need to be upgraded | [optional] [default to False]
**resource_version** | **float** | object version for which status of desired state is being shown | [optional] 
**opstatus** | **str** | only tells whether the given desired state is being processed or complete. &gt; To get the status of object, refer to conditions and get internal custom resource status. | [optional] 
**host_profile** | **str** | Name of the esx info profile used for Node Pool customization | [optional] 
**compute_resource** | [**NodepoolStatusComputeResource**](NodepoolStatusComputeResource.md) |  | [optional] 
**delete_accepted** | **bool** |  | [optional] 
**conditions** | [**list[NodepoolStatusConditions]**](NodepoolStatusConditions.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

