# NsInstanceSubscriptionFilter

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**nsd_ids** | [**list[Identifier]**](Identifier.md) | If present, match NS instances that were created based on a NSD identified by one of the nsdId values listed in this attribute.  | [optional] 
**vnfd_ids** | [**list[Identifier]**](Identifier.md) | If present, match NS instances that contain VNF instances that were created based on a VNFD identified by one of the vnfdId values listed in this attribute.  | [optional] 
**pnfd_ids** | [**list[Identifier]**](Identifier.md) | If present, match NS instances that contain PNFs that are represented by a PNFD identified by one of the pnfdId values listed in this attribute.  | [optional] 
**ns_instance_ids** | [**list[Identifier]**](Identifier.md) | If present, match NS instances with an instance identifier listed in this attribute.  | [optional] 
**ns_instance_names** | [**list[String]**](String.md) | If present, match NS instances with a NS Instance Name listed in this attribute.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

