# NsLcmOpOcc

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | [**Identifier**](Identifier.md) |  | 
**operation_state** | [**NsLcmOperationStateType**](NsLcmOperationStateType.md) |  | 
**state_entered_time** | **datetime** |  | 
**ns_instance_id** | [**Identifier**](Identifier.md) |  | 
**lcm_operation_type** | [**NsLcmOpType**](NsLcmOpType.md) |  | 
**start_time** | **datetime** |  | 
**is_automatic_invocation** | **bool** | Set to true if this NS LCM operation occurrence has been automatically triggered by the NFVO. This occurs in the case of auto-scaling, auto-healing and when a nested NS is modified as a result of an operation on its composite NS. Set to false otherwise.  | 
**operation_params** | **object** | Input parameters of the LCM operation. This attribute shall be formatted according to the request data type of the related LCM operation. The following mapping between lcmOperationType and the data type of this attribute shall apply: - INSTANTIATE: InstantiateNsRequest - SCALE: ScaleNsRequest - UPDATE: UpdateNsRequest - HEAL: HealNsRequest - TERMINATE: TerminateNsRequest This attribute shall be present if this data type is returned in a response to reading an individual resource, and may be present according to the chosen attribute selector parameter if this data type is returned in a response to a query of a container resource.  | [optional] 
**is_cancel_pending** | **bool** | If the LCM operation occurrence is in \&quot;PROCESSING\&quot; or \&quot;ROLLING_BACK\&quot; state and the operation is being cancelled, this attribute shall be set to true. Otherwise, it shall be set to false.  | 
**cancel_mode** | [**CancelModeType**](CancelModeType.md) |  | [optional] 
**error** | [**ProblemDetails**](ProblemDetails.md) |  | [optional] 
**resource_changes** | [**NsLcmOpOccResourceChanges**](NsLcmOpOccResourceChanges.md) |  | [optional] 
**links** | [**NsLcmOpOccLinks**](NsLcmOpOccLinks.md) |  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

