# NsLcmOpOccResourceChanges

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**affected_vnfs** | [**list[AffectedVnf]**](AffectedVnf.md) | Information about the VNF instances that were affected during the lifecycle operation, if this notification represents the result of a lifecycle operation.  | [optional] 
**affected_pnfs** | [**list[AffectedPnf]**](AffectedPnf.md) | Information about the PNF instances that were affected during the lifecycle operation, if this notification represents the result of a lifecycle operation.  | [optional] 
**affected_vls** | [**list[AffectedVirtualLink]**](AffectedVirtualLink.md) | Information about the VL instances that were affected during the lifecycle operation, if this notification represents the result of a lifecycle operation.  | [optional] 
**affected_vnffgs** | [**list[AffectedVnffg]**](AffectedVnffg.md) | Information about the VNFFG instances that were affected during the lifecycle operation, if this notification represents the result of a lifecycle operation. See note  | [optional] 
**affected_nss** | [**list[AffectedNs]**](AffectedNs.md) | Information about the nested NS instances that were affected during the lifecycle operation, if this notification represents the result of a lifecycle operation. See note.  | [optional] 
**affected_saps** | [**list[AffectedSap]**](AffectedSap.md) | Information about the nested NS instances that were affected during the lifecycle operation, if this notification represents the result of a lifecycle operation. See note.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

