# OperateVnfRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**change_state_to** | [**VnfOperationalStateType**](VnfOperationalStateType.md) |  | 
**stop_type** | [**StopType**](StopType.md) |  | [optional] 
**graceful_stop_timeout** | **int** | The time interval (in seconds) to wait for the VNF to be taken out of service during graceful stop, before stopping the VNF. The \&quot;stopType\&quot; and \&quot;gracefulStopTimeout\&quot; attributes shall be absent, when the \&quot;changeStateTo\&quot; attribute is equal to \&quot;STARTED\&quot;. The \&quot;gracefulStopTimeout\&quot; attribute shall be present, when the \&quot;changeStateTo\&quot; is equal to \&quot;STOPPED\&quot; and the \&quot;stopType\&quot; attribute is equal to \&quot;GRACEFUL\&quot;. The \&quot;gracefulStopTimeout\&quot; attribute shall be absent, when the \&quot;changeStateTo\&quot; attribute is equal to \&quot;STOPPED\&quot; and the \&quot;stopType\&quot; attribute is equal to \&quot;FORCEFUL\&quot;. The request shall be treated as if the \&quot;stopType\&quot; attribute was set to \&quot;FORCEFUL\&quot;, when the \&quot;changeStateTo\&quot; attribute is equal to \&quot;STOPPED\&quot; and the \&quot;stopType\&quot; attribute is absent.  | [optional] 
**additional_params** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

