# ParamsForVnf

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**vnf_profile_id** | [**IdentifierInNsd**](IdentifierInNsd.md) |  | 
**vnf_instance_name** | **str** | Human-readable name of the VNF instance to be created.  | [optional] 
**vnf_instance_description** | **str** | Human-readable description of the VNF instance to be created.  | [optional] 
**vnf_configurable_properties** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**metadata** | **object** | Values for the \&quot;metadata\&quot; input parameter of the Create VNF Identifier operation defined in ETSI GS NFV-SOL 003 [4].  | [optional] 
**extensions** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**additional_params** | **AllOfParamsForVnfAdditionalParams** | Additional input parameters for the instantiation process, specific to the VNF being instantiated, as declared in the VNFD as part of \&quot;InstantiateVnfOpConfig\&quot;.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

