# PkgmNotificationsFilterVnfProductsFromProviders

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**vnf_provider** | **str** | Name of the VNFprovider to match.  | 
**vnf_products** | [**list[PkgmNotificationsFilterVnfProducts]**](PkgmNotificationsFilterVnfProducts.md) | If present, match VNF packages that contain VNF products with certain product names, from one particular provider.  | [optional] 
**vnfd_id** | [**list[Identifier]**](Identifier.md) | Match VNF packages with a VNFD identifier listed in the attribute.  | [optional] 
**vnf_pkg_id** | [**list[Identifier]**](Identifier.md) | Match VNF packages with a package identifier listed in the attribute. May be present if the \&quot;notificationTypes\&quot; attribute contains the value \&quot;VnfPackageChangeNotification\&quot;, and shall be absent otherwise.  | [optional] 
**operational_state** | [**list[PackageOperationalStateType]**](PackageOperationalStateType.md) | Match VNF packages with a package identifier listed in the attribute. May be present if the \&quot;notificationTypes\&quot; attribute contains the value \&quot;VnfPackageChangeNotification\&quot;, and shall be absent otherwise.  | [optional] 
**usage_state** | [**list[PackageUsageStateType]**](PackageUsageStateType.md) | Match particular usage state of the on-boarded VNF package. May be present if the \&quot;notificationTypes\&quot; attribute contains the value \&quot;VnfPackageChangeNotification\&quot;, and shall be absent otherwise.  | [optional] 
**vnfm_info** | **list[str]** | Match strings that specify VNFMs compatible with the VNF. See Table 9.5.2.5-1.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

