# RegisterVim

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**hcx_cloud_url** | **str** | The Control-Plane server URL, e.g. &#x27;https://cp-server/&#x27;, that manages the VIM. | [optional] 
**vim_name** | **str** | The user-friendly name to be given to the VIM registered in TCA. | [optional] 
**tenant_name** | **str** | The name of tenant, who owns the VIM (or a share of the VIM, in case of multi-tenant VIM, e.g. VMware vCloud Director, VIO). | [optional] 
**username** | **str** | The username associated with the tenants ownership in the VIM. Required if other authentication modes (e.g. kubeconfig for Kubernetes VIMs) are not specified. | [optional] 
**password** | **str** | The password associated with the username. Required if the &#x27;username&#x27; is specified. | [optional] 
**cluster_name** | **str** | The name of the Kubernetes cluster where the VNFs/CNFs will be hosted. This must be present in the kubeconfig specified. | [optional] 
**kubeconfig** | **str** | The kubefonfig content associated with (or having) the &#x27;custerName&#x27;. | [optional] 
**cloud_sub_type** | **str** | The underlying cloud type for the Kubernetes VIM, e.g. &#x27;eks&#x27;, &#x27;tkg&#x27;. Defaults to &#x27;tkg&#x27; if unspecified. | [optional] 
**region** | **str** | The region for the Kubernetes VIM. | [optional] 
**auth_type** | **str** | The authentication type for the VIM registration. This authentication is used to access the underlying infrastructure of the VIM and is recognized by same. Allowed values include &#x27;kubeconfig&#x27; and &#x27;password&#x27;. | [optional] 
**tags** | [**list[Tag]**](Tag.md) | A container for the list of tags to be associated with the VIM. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

