# tca.tcfm.ResyncApi

All URIs are relative to */hybridity/api/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**resync_domains**](ResyncApi.md#resync_domains) | **POST** /ztp/resync | Resync Domains

# **resync_domains**
> Response resync_domains(body)

Resync Domains

Performs Resync on a list of domains. Each domain in the list can specify an optional field resyncType. Default value for the resyncType is FULL and other being PARTIAL. 

### Example
```python
from __future__ import print_function
import time
import tca.tcfm
from tca.tcfm.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = tca.tcfm.ResyncApi()
body = tca.tcfm.ResyncRequest() # ResyncRequest | 

try:
    # Resync Domains
    api_response = api_instance.resync_domains(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ResyncApi->resync_domains: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**ResyncRequest**](ResyncRequest.md)|  | 

### Return type

[**Response**](Response.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

