# ScaleNsData

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**vnf_instance_to_be_added** | [**list[VnfInstanceData]**](VnfInstanceData.md) | An existing VNF instance to be added to the NS instance as part of the scaling operation. If needed, the VNF Profile to be used for this VNF instance may also be provided.  | [optional] 
**vnf_instance_to_be_removed** | [**list[Identifier]**](Identifier.md) | The VNF instance to be removed from the NS instance as part of the scaling operation.  | [optional] 
**scale_ns_by_steps_data** | [**ScaleNsByStepsData**](ScaleNsByStepsData.md) |  | [optional] 
**scale_ns_to_level_data** | [**ScaleNsToLevelData**](ScaleNsToLevelData.md) |  | [optional] 
**additional_params_for_ns** | [**ParamsForVnfAdditionalParams**](ParamsForVnfAdditionalParams.md) |  | [optional] 
**additional_params_for_vnf** | [**list[ParamsForVnf]**](ParamsForVnf.md) | Allows the OSS/BSS to provide additional parameter(s) per VNF instance (as opposed to the NS level, which is covered in additionalParamforNs). This is for VNFs that are to be created by the NFVO as part of the NS scaling and not for existing VNF that are covered by the scaleVnfData.  | [optional] 
**location_constraints** | [**list[VnfLocationConstraint]**](VnfLocationConstraint.md) | The location constraints for the VNF to be instantiated as part of the NS scaling. An example can be a constraint for the VNF to be in a specific geographic location.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

