# tca.summary.SummaryApi

All URIs are relative to */hybridity/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_summary**](SummaryApi.md#get_summary) | **POST** /nfvo/summary/query | Query api to get the summary for Telco Cloud Automation

# **get_summary**
> SummaryResponse get_summary(body)

Query api to get the summary for Telco Cloud Automation

Query api to get the summary for Telco Cloud Automation

### Example
```python
from __future__ import print_function
import time
import tca.summary
from tca.summary.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = tca.summary.SummaryApi()
body = tca.summary.Filter() # Filter | Filter object.

try:
    # Query api to get the summary for Telco Cloud Automation
    api_response = api_instance.get_summary(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SummaryApi->get_summary: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Filter**](Filter.md)| Filter object. | 

### Return type

[**SummaryResponse**](SummaryResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

