# VimConnectionInfo

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | [**Identifier**](Identifier.md) |  | [optional] 
**vim_id** | [**Identifier**](Identifier.md) |  | 
**vim_type** | **str** | Discriminator for the different types of the VIM information. The value of this attribute determines the structure of the \&quot;interfaceInfo\&quot; and \&quot;accessInfo\&quot; attributes, based on the type of the VIM. The set of permitted values is expected to change over time as new types or versions of VIMs become available. The ETSI NFV registry of VIM-related information provides access to information about VimConnectionInfo definitions for various VIM types. The structure of the registry is defined in Annex C of SOL003.  | [optional] 
**interface_info** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**access_info** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**extra** | [**VimConnectionInfoExtras**](VimConnectionInfoExtras.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

