# VnfExtCpConfig

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**cp_instance_id** | [**IdentifierInVnf**](IdentifierInVnf.md) |  | [optional] 
**link_port_id** | [**Identifier**](Identifier.md) |  | [optional] 
**cp_protocol_data** | [**list[CpProtocolData]**](CpProtocolData.md) | Parameters for configuring the network protocols on the link port that connects the CP to a VL. The following conditions apply to the attributes \&quot;linkPortId\&quot; and \&quot;cpProtocolData\&quot;: * The \&quot;linkPortId\&quot; and \&quot;cpProtocolData\&quot; attributes shall both be   absent for the deletion of an existing external CP instance   addressed by cpInstanceId. * At least one of these attributes shall be present for a   to-be-created external CP instance or an existing external   CP instance. * If the \&quot;linkPortId\&quot; attribute is absent, the VNFM shall create a   link port. * If the \&quot;cpProtocolData\&quot; attribute is absent, the \&quot;linkPortId\&quot;   attribute shall be provided referencing a pre-created link port,   and the VNFM can use means outside the scope of the present   document to obtain the pre-configured address information for the   connection point from the resource representing the link port. * If both \&quot;cpProtocolData\&quot; and \&quot;linkportId\&quot; are provided, the API   consumer shall ensure that the cpProtocolData can be used with the   pre-created link port referenced by \&quot;linkPortId\&quot;.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

