# VnfInstanceSubscriptionFilter

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**vnfd_ids** | [**list[Identifier]**](Identifier.md) | If present, match VNF instances that were created based on a VNFD identified by one of the vnfdId values listed in this attribute. The attributes \&quot;vnfdIds\&quot; and \&quot;vnfProductsFromProviders\&quot; are alternatives to reference to VNF instances that are based on certain VNFDs in a filter. They should not be used both in the same filter instance, but one alternative should be chosen.  | [optional] 
**vnf_products_from_providers** | [**list[VnfInstanceSubscriptionFilterVnfProductsFromProviders]**](VnfInstanceSubscriptionFilterVnfProductsFromProviders.md) | If present, match VNF instances that belong to VNF products from certain providers. The attributes \&quot;vnfdIds\&quot; and \&quot;vnfProductsFromProviders\&quot; are alternatives to reference to VNF instances that are based on certain VNFDs in a filter. They should not be used both in the same filter instance, but one alternative should be chosen.  | [optional] 
**vnf_instance_ids** | [**list[Identifier]**](Identifier.md) | If present, match VNF instances with an instance identifier listed in this attribute. The attributes \&quot;vnfInstanceIds\&quot; and \&quot;vnfInstanceNames\&quot; are alternatives to reference to particular VNF Instances in a filter. They should not be used both in the same filter instance, but one alternative should be chosen.  | [optional] 
**vnf_instance_names** | **list[str]** | If present, match VNF instances with a VNF Instance Name listed in this attribute. The attributes \&quot;vnfInstanceIds\&quot; and \&quot;vnfInstanceNames\&quot; are alternatives to reference to particular VNF Instances in a filter. They should not be used both in the same filter instance, but one alternative should be chosen.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

