# VnfInstantiateRequestAdditionalParams

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**vdu_params** | [**list[VduParam]**](VduParam.md) |  | [optional] 
**lcm_interfaces** | [**list[LcmInterfaces]**](LcmInterfaces.md) |  | [optional] 
**entity_prefix** | **str** |  | [optional] 
**use_v_app_templates** | **bool** |  | [optional] 
**catalog_name** | **str** |  | [optional] 
**catalog_id** | **str** |  | [optional] 
**skip_grant** | **bool** | Set to true if grant phase is to be skipped in this VNF LCM operation occurrence. Set to false otherwise.  | [optional] 
**ignore_grant_failure** | **bool** | Set to true if grant failures are to be ignored while instantiating CNF. Set to false otherwise.  | [optional] 
**disable_auto_rollback** | **bool** | Set to true if auto rollback is to be disabled when CNF instantiation fails. Set to false otherwise.  | [optional] 
**disable_grant** | **bool** | Set to true if grant phase is to be skipped while instantiating CNF. Set to false otherwise.  | [optional] 
**skip_node_customization** | **object** | Set to true for customization to be skipped while instantiating CNF. Set to false otherwise. type: boolean  | [optional] 
**is_vnf_v_app_template** | **bool** | Set to true if the entire VNF is represented by a single vApp template. Set to false otherwise.  | [optional] 
**v_app_template_name** | **str** |  | [optional] 
**storage_profiles** | **list[str]** | Storage Profile Ids which should be used by all the VMs in this VNF.  | [optional] 
**nodepool_name** | **str** | Name of the nodepool that should be customized while instantiating CNF.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

