# VnfPackageArtifactInfo

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**artifact_path** | [**String**](String.md) |  | [optional] 
**artifact_uri** | [**Uri**](Uri.md) |  | [optional] 
**checksum** | [**Checksum**](Checksum.md) |  | 
**artifact_classification** | **str** | Marks specific types of artifacts as defined in the VNF package. If none of the specific classes listed below applies, the attribute shall not be present. Valid values: - HISTORY: a history artifact as per clause 4.3.3 in ETSI GS NFV-SOL 004 [5] - TESTING: a testing artifact as per clause 4.3.4 in ETSI GS NFV-SOL 004 [5] - LICENSE: a license artifact as per clause 4.3.5 in ETSI GS NFV-SOL 004 [5]  | [optional] 
**is_encrypted** | **bool** | Reflects whether the artifact is encrypted (true) or not (false).  | 
**non_mano_artifact_set_id** | **str** | Non-MANO artifact set identifier of the non-MANO artifact set to which the artifact belongs, as defined in clause 4.3.7 of ETSI GS NFV-SOL 004 [5]. Shall be provided if the artifact is a non-MANO artifact, and shall be omitted otherwise.  | [optional] 
**metadata** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

