# VnfcResourceInfo

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | [**IdentifierInVnf**](IdentifierInVnf.md) |  | 
**vdu_id** | [**IdentifierInVnfd**](IdentifierInVnfd.md) |  | 
**compute_resource** | [**ResourceHandle**](ResourceHandle.md) |  | 
**storage_resource_ids** | [**list[Identifier]**](Identifier.md) | References to the VirtualStorage resources. The value refers to a VirtualStorageResourceInfo item in the VnfInstance.  | [optional] 
**reservation_id** | [**Identifier**](Identifier.md) |  | [optional] 
**vnfc_cp_info** | [**list[VnfcResourceInfoVnfcCpInfo]**](VnfcResourceInfoVnfcCpInfo.md) | CPs of the VNFC instance. Shall be present when that particular CP of the VNFC instance is associated to an external CP of the VNF instance. May be present otherwise.  | [optional] 
**metadata** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

