# AffectedVnfc

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | [**IdentifierInVnf**](IdentifierInVnf.md) |  | 
**vdu_id** | [**IdentifierInVnfd**](IdentifierInVnfd.md) |  | 
**change_type** | **str** | Signals the type of change. Permitted values: * ADDED * REMOVED * MODIFIED * TEMPORARY For a temporary resource, an AffectedVnfc structure exists as long as the temporary resource exists.  | 
**compute_resource** | [**ResourceHandle**](ResourceHandle.md) |  | 
**resource_definition_id** | [**IdentifierLocal**](IdentifierLocal.md) |  | [optional] 
**zone_id** | [**Identifier**](Identifier.md) |  | [optional] 
**metadata** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**affected_vnfc_cp_ids** | [**list[IdentifierInVnf]**](IdentifierInVnf.md) | Identifiers of CP(s) of the VNFC instance that were affected by the change. Shall be present for those affected CPs of the VNFC instance that are associated to an external CP of the VNF instance. May be present for further affected CPs of the VNFC instance.  | [optional] 
**added_storage_resource_ids** | [**list[IdentifierInVnf]**](IdentifierInVnf.md) | References to VirtualStorage resources that have been added. Each value refers to a VirtualStorageResourceInfo item in the VnfInstance that was added to the VNFC. It shall be provided if at least one storage resource was added to the VNFC.  | [optional] 
**removed_storage_resource_ids** | [**list[IdentifierInVnf]**](IdentifierInVnf.md) | References to VirtualStorage resources that have been removed. The value contains the identifier of a VirtualStorageResourceInfo item that has been removed from the VNFC, and might no longer exist in the VnfInstance. It shall be provided if at least one storage resource was removed from the VNFC.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

