# Alarm

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | [**Identifier**](Identifier.md) |  | 
**managed_object_id** | [**Identifier**](Identifier.md) |  | 
**root_cause_faulty_component** | [**FaultyComponentInfo**](FaultyComponentInfo.md) |  | [optional] 
**root_cause_faulty_resource** | [**FaultyResourceInfo**](FaultyResourceInfo.md) |  | [optional] 
**alarm_raised_time** | **datetime** |  | 
**alarm_changed_time** | **datetime** |  | [optional] 
**alarm_cleared_time** | **datetime** |  | [optional] 
**alarm_acknowledged_time** | **datetime** |  | [optional] 
**ack_state** | **str** | Acknowledgment state of the alarm. Permitted values: UNACKNOWLEDGED ACKNOWLEDGED  | 
**perceived_severity** | [**PerceivedSeverityType**](PerceivedSeverityType.md) |  | 
**event_time** | **datetime** |  | 
**event_type** | [**EventType**](EventType.md) |  | 
**fault_type** | **str** | Additional information to clarify the type of the fault.  | [optional] 
**probable_cause** | **str** | Information about the probable cause of the fault.  | 
**is_root_cause** | **bool** | Attribute indicating if this fault is the root for other correlated alarms. If TRUE, then the alarms listed in the attribute CorrelatedAlarmId are caused by this fault.  | 
**correlated_alarm_ids** | [**list[Identifier]**](Identifier.md) | List of identifiers of other alarms correlated to this fault.  | [optional] 
**fault_details** | **list[str]** | Provides additional information about the fault..  | [optional] 
**links** | [**AlarmLinks**](AlarmLinks.md) |  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

