# ClusterMasterNodes

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**cpu** | **int** | Number of virtual CPUs for control plane nodes. | [optional] 
**memory** | **int** | Memory size in MB for control plane nodes. | [optional] 
**name** | **str** | Name for control plane nodes. | 
**networks** | [**list[ClusterNetworks]**](ClusterNetworks.md) | Network labels for control plane nodes. These labels are used for providing network inputs during a cluster deployment. The Management interface label is mandatory. | [optional] 
**nodes** | [**list[ClusterNodes]**](ClusterNodes.md) |  | [optional] 
**storage** | **int** | Disk size in GB for control plane nodes. | [optional] 
**replica** | **int** | Replica count for control plane nodes. | 
**labels** | **list[str]** | These labels are attached to the nodes. | [optional] 
**clone_mode** | **str** | Key to indicate the use of linked cloning feature for cloning the VMs. If set to linkedClone, then linked cloning will be used. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

