# ClusterTemplateSpecClusterControlPlaneSpecCloudMachineTemplateVSphereMachine

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**clone_mode** | **str** | CloneMode specifies the type of clone operation. The LinkedClone mode is only support for templates that have at least one snapshot. If the template has no snapshots, then CloneMode defaults to FullClone. When LinkedClone mode is enabled the DiskGiB field is ignored as it is not possible to expand disks of linked clones. Defaults to LinkedClone, but fails gracefully to FullClone if the source of the clone operation has no snapshots. | [optional] [default to 'fullClone']
**datacenter** | **str** | Datacenter is the name or inventory path of the datacenter in which the node is created/located. Datacenter is required for creation and is immutable. | [optional] 
**datastore** | **str** | Datastore is the name or inventory path of the datastore in which the node is created/located. Datastore is required if storagePolicyName is not set for creation and is immutable. | [optional] 
**folder** | **str** | Folder is the name or inventory path of the folder in which the node is created/located. Folder is required for creation and is immutable. | [optional] 
**num_cores_per_socket** | **int** | NumCoresPerSocket is the number of cores among which to distribute CPUs in this node. | [optional] 
**resource_pool** | **str** | ResourcePool is the name or inventory path of the resource pool in which the node is created/located. ResourcePool is required for creation and is immutable. | [optional] 
**storage_policy_name** | **str** | StoragePolicyName of the storage policy to use with the node StoragePolicyName is required if Datastore is not set for creation and is immutable. | [optional] 
**template** | **str** | Template is the name or inventory path of the template used to clone the node. Template is required for creation and is immutable. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

