# ClusterTemplateWorkerNodes

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**cpu** | **int** | Number of virtual CPUs for nodepool nodes. Provide an even count of the vCPUs if the underlying ESXi Host is Hyperthreading-enabled and if the Network Function requires NUMA Alignment and CPU reservation. This ensures that the Physical CPU Core (both Hyper Threads) is used by the same Node. | 
**memory** | **int** | Memory size in MB for nodepool nodes. | 
**name** | **str** |  | 
**networks** | [**list[ClusterTemplateNetworks]**](ClusterTemplateNetworks.md) | Network labels for nodepool nodes. These labels are used for providing network inputs during a cluster deployment. The Management interface label is mandatory. | 
**storage** | **int** | Disk size in GB for nodepool nodes. | 
**replica** | **int** | Replica count for nodepool nodes. | 
**labels** | **list[str]** | List of labels for nodepool nodes. These labels are attached to the nodes. | [optional] 
**clone_mode** | **str** | Key to indicate the use of linked cloning feature for cloning the VMs. If set to linkedClone, then linked cloning will be used. | [optional] 
**config** | [**ClusterTemplateConfig**](ClusterTemplateConfig.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

