# CpGroupInfo

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**cp_pair_info** | [**list[CpPairInfo]**](CpPairInfo.md) | One or more pair(s) of ingress and egress CPs or SAPs which the NFP passes by. All CP or SAP pairs in a group shall be instantiated from connection point  descriptors or service access point descriptors referenced in the corresponding  NfpPositionDesc.  | [optional] 
**forwarding_behaviour** | **str** | Identifies a rule to apply to forward traffic to the ingress CPs or SAPs of  the group. Permitted values: * ALL &#x3D; Traffic flows shall be forwarded simultaneously to all CPs or SAPs  of the group. * LB &#x3D; Traffic flows shall be forwarded to one CP or SAP of the group selected  based on a loadbalancing algorithm.  | [optional] 
**forwarding_behaviour_input_parameters** | [**ForwardingBehaviourInputParameters**](ForwardingBehaviourInputParameters.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

