# CpPairInfo

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**vnf_ext_cp_ids** | [**list[IdentifierInVnf]**](IdentifierInVnf.md) | Identifier(s) of the VNF CP(s) which form the pair. The presence of a single vnfExpCpId, pnfExtCpId, or sapId occurrence indicates  that the CP or SAP is used both as an ingress and egress port at a particular  NFP position.  | [optional] 
**pnf_ext_cp_ids** | [**list[IdentifierInPnf]**](IdentifierInPnf.md) | Identifier(s) of the PNF CP(s) which form the pair. The presence of a single vnfExpCpId, pnfExtCpId, or sapId occurrence indicates  that the CP or SAP is used both as an ingress and egress port at a particular  NFP position.  | [optional] 
**sap_ids** | [**list[IdentifierInNs]**](IdentifierInNs.md) | Identifier(s) of the SAP(s) which form the pair. The presence of a single vnfExpCpId, pnfExtCpId, or sapId occurrence indicates  that the CP or SAP is used both as an ingress and egress port at a particular  NFP position.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

