# CreateSvnfmExtension

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **str** | Name of the Extension with which it was created | [optional] 
**version** | **str** | Version of the Extension | [optional] 
**type** | **str** | Type of the Extension | [optional] 
**extension_key** | **str** | Extension Key | [optional] 
**extension_subtype** | **str** | Subtype of the Extension | [optional] 
**products** | **list[object]** | Information regarding the SVNFM Extension | [optional] 
**vim_info** | [**list[CreateSvnfmExtensionVimInfo]**](CreateSvnfmExtensionVimInfo.md) |  | [optional] 
**interface_info** | [**ExtensionInterfaceInfo**](ExtensionInterfaceInfo.md) |  | [optional] 
**access_info** | [**ExtensionAccessInfo**](ExtensionAccessInfo.md) |  | [optional] 
**additional_parameters** | **object** |  | [optional] 
**auto_scale_enabled** | **bool** | Boolean to determine auto scale enabled on the Extension or not | [optional] 
**auto_heal_enabled** | **bool** | Boolean to determine auto heal enabled on the Extension or not | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

