# CreateThresholdRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**object_type** | **str** | Type of the measured object. The applicable measured object type for a measurement is defined in clause 7.2 of ETSI GS NFV-IFA 027.  | 
**object_instance_id** | [**Identifier**](Identifier.md) |  | 
**sub_object_instance_ids** | [**list[IdentifierInVnf]**](IdentifierInVnf.md) | Identifiers of the sub-object instances of the measured object instance associated with this threshold. May be present if a sub-object is defined in clause 6.2 of ETSI GS NFV-IFA 027 for the related measured object type. If this attribute is absent and a sub-object is defined in clause 6.2 of ETSI GS NFV-IFA 027 for the measured object type, measurements will be taken for all sub-object instances of the measured object instance.  | [optional] 
**criteria** | [**ThresholdCriteria**](ThresholdCriteria.md) |  | 
**callback_uri** | [**Uri**](Uri.md) |  | 
**authentication** | [**SubscriptionAuthentication**](SubscriptionAuthentication.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

