# tca.tcfm.DnsConfigApi

All URIs are relative to */hybridity/api/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**update_dns**](DnsConfigApi.md#update_dns) | **POST** /ztp/configure/maas | Update DNS Entries

# **update_dns**
> Response update_dns(body)

Update DNS Entries

Update DNS Entries

### Example
```python
from __future__ import print_function
import time
import tca.tcfm
from tca.tcfm.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = tca.tcfm.DnsConfigApi()
body = tca.tcfm.DnsConfig() # DnsConfig | DNS Config Request

try:
    # Update DNS Entries
    api_response = api_instance.update_dns(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DnsConfigApi->update_dns: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**DnsConfig**](DnsConfig.md)| DNS Config Request | 

### Return type

[**Response**](Response.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

