# tca.clustertemplate.InfraClusterTemplateApi

All URIs are relative to */hybridity/api/infra*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delete_cluster_template**](InfraClusterTemplateApi.md#delete_cluster_template) | **DELETE** /cluster-templates/{id} | Api to delete cluster templates for Telco Cloud Automation (Deprecated for workload clusters)
[**get_cluster_template**](InfraClusterTemplateApi.md#get_cluster_template) | **GET** /cluster-templates/{id} | Api to get cluster templates for Telco Cloud Automation (Deprecated for workload clusters)
[**get_cluster_templates**](InfraClusterTemplateApi.md#get_cluster_templates) | **GET** /cluster-templates | Api to get all cluster templates for Telco Cloud Automation (Deprecated for workload clusters)

# **delete_cluster_template**
> delete_cluster_template(id)

Api to delete cluster templates for Telco Cloud Automation (Deprecated for workload clusters)

Api to delete all cluster templates

### Example
```python
from __future__ import print_function
import time
import tca.clustertemplate
from tca.clustertemplate.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = tca.clustertemplate.InfraClusterTemplateApi()
id = 'id_example' # str | 

try:
    # Api to delete cluster templates for Telco Cloud Automation (Deprecated for workload clusters)
    api_instance.delete_cluster_template(id)
except ApiException as e:
    print("Exception when calling InfraClusterTemplateApi->delete_cluster_template: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **str**|  | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_cluster_template**
> ClusterTemplate get_cluster_template(id)

Api to get cluster templates for Telco Cloud Automation (Deprecated for workload clusters)

Api to get all cluster template

### Example
```python
from __future__ import print_function
import time
import tca.clustertemplate
from tca.clustertemplate.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = tca.clustertemplate.InfraClusterTemplateApi()
id = 'id_example' # str | 

try:
    # Api to get cluster templates for Telco Cloud Automation (Deprecated for workload clusters)
    api_response = api_instance.get_cluster_template(id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InfraClusterTemplateApi->get_cluster_template: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **str**|  | 

### Return type

[**ClusterTemplate**](ClusterTemplate.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_cluster_templates**
> list[ClusterTemplate] get_cluster_templates()

Api to get all cluster templates for Telco Cloud Automation (Deprecated for workload clusters)

Api to get all cluster templates

### Example
```python
from __future__ import print_function
import time
import tca.clustertemplate
from tca.clustertemplate.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = tca.clustertemplate.InfraClusterTemplateApi()

try:
    # Api to get all cluster templates for Telco Cloud Automation (Deprecated for workload clusters)
    api_response = api_instance.get_cluster_templates()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InfraClusterTemplateApi->get_cluster_templates: %s\n" % e)
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**list[ClusterTemplate]**](ClusterTemplate.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

