# InstantiateVnfRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**flavour_id** | [**IdentifierInVnfd**](IdentifierInVnfd.md) |  | 
**instantiation_level_id** | [**IdentifierInVnfd**](IdentifierInVnfd.md) |  | [optional] 
**ext_virtual_links** | [**list[ExtVirtualLinkData]**](ExtVirtualLinkData.md) | Information about external VLs to connect the VNF to.  | [optional] 
**ext_managed_virtual_links** | [**list[ExtManagedVirtualLinkData]**](ExtManagedVirtualLinkData.md) | Information about internal VLs that are managed by the NFVO.  | [optional] 
**vim_connection_info** | [**list[VimConnectionInfo]**](VimConnectionInfo.md) | Information about VIM connections to be used for managing the resources for the VNF instance, or refer to external / externally-managed virtual links. This attribute shall only be supported and may be present if VNF-related resource management in direct mode is applicable.  | [optional] 
**localization_language** | [**String**](String.md) |  | [optional] 
**additional_params** | [**VnfInstantiateRequestAdditionalParams**](VnfInstantiateRequestAdditionalParams.md) |  | [optional] 
**extensions** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**vnf_configurable_properties** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

