# IpOverEthernetAddressDataIpAddresses

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**type** | **str** | The type of the IP addresses. Permitted values: IPV4, IPV6.  | 
**fixed_addresses** | [**list[IpAddress]**](IpAddress.md) | Fixed addresses to assign (from the subnet defined by \&quot;subnetId\&quot; if provided). Exactly one of \&quot;fixedAddresses\&quot;, \&quot;numDynamicAddresses\&quot; or \&quot;ipAddressRange\&quot; shall be present.  | [optional] 
**num_dynamic_addresses** | **int** | Number of dynamic addresses to assign (from the subnet defined by \&quot;subnetId\&quot; if provided). Exactly one of \&quot;fixedAddresses\&quot;, \&quot;numDynamicAddresses\&quot; or \&quot;ipAddressRange\&quot; shall be present.  | [optional] 
**address_range** | [**IpOverEthernetAddressDataAddressRange**](IpOverEthernetAddressDataAddressRange.md) |  | [optional] 
**subnet_id** | [**IdentifierInVim**](IdentifierInVim.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

