# NodePool

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**clone_mode** | **str** | Key to indicate the use of linked cloning feature for cloning the VMs. If set to linkedClone, then linked cloning will be used. | [optional] 
**cpu** | **int** | Number of virtual CPUs for worker nodes. | 
**id** | **str** |  | [optional] 
**labels** | **list[str]** | These labels are attached to the nodes. You can use these labels as node selectors when instantiating a network function. | 
**memory** | **int** | Memory size in MB for worker nodes. | 
**name** | **str** |  | 
**networks** | [**list[NodePoolNetworks]**](NodePoolNetworks.md) | Network labels for worker nodes. These labels are used for providing network inputs during a cluster deployment. The Management interface label is mandatory. | 
**placement_params** | [**list[ClusterRequestPlacementParams]**](ClusterRequestPlacementParams.md) |  | 
**replica** | **int** | Replica count for worker nodes. | 
**storage** | **int** | Disk size in GB for worker nodes. | 
**config** | [**NodePoolConfig**](NodePoolConfig.md) |  | [optional] 
**status** | **str** |  | [optional] 
**active_tasks_count** | **int** | Number of operations in processing or queued state on the node pool | [optional] 
**nodes** | [**list[ClusterNodes]**](ClusterNodes.md) |  | [optional] 
**is_node_customization_deprecated** | **bool** |  | [optional] 
**warnings** | [**list[ClusterWarnings]**](ClusterWarnings.md) |  | [optional] 
**errors** | [**list[ClusterWarnings]**](ClusterWarnings.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

