# NodepoolSpecNetworkDevices

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**dhcp4** | **bool** | DHCP4 is a flag that indicates whether or not to use DHCP for IPv4 on this device. If true then IPAddrs should not contain any IPv4 addresses. | [optional] 
**dhcp6** | **bool** | DHCP6 is a flag that indicates whether or not to use DHCP for IPv6 on this device. If true then IPAddrs should not contain any IPv6 addresses. | [optional] 
**gateway4** | **str** | Gateway4 is the IPv4 gateway used by this device. Required when DHCP4 is false. | [optional] 
**gateway6** | **str** | Gateway4 is the IPv4 gateway used by this device. Required when DHCP6 is false. | [optional] 
**mtu** | **int** | MTU is the device&#x27;s Maximum Transmission Unit size in bytes. | [optional] 
**nameservers** | **list[str]** | Nameservers is a list of IPv4 and/or IPv6 addresses used as DNS nameservers. Please note that Linux allows only three nameservers (https://linux.die.net/man/5/resolv.conf). | [optional] 
**network_name** | **str** | NetworkName is the name of the vSphere network to which the device will be connected. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

