# PerformanceReportEntries

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**object_type** | **str** | Type of the measured object. The applicable measured object type for a measurement is defined in clause 7.2 of ETSI GS NFV-IFA 027.  | 
**object_instance_id** | [**Identifier**](Identifier.md) |  | 
**sub_object_instance_id** | [**IdentifierInVnf**](IdentifierInVnf.md) |  | [optional] 
**performance_metric** | **str** | Name of the metric collected. This attribute shall contain the related \&quot;Measurement Name\&quot; value as defined in clause 7.2 of ETSI GS NFV-IFA 027.  | 
**performance_values** | [**list[PerformanceReportPerformanceValues]**](PerformanceReportPerformanceValues.md) | List of performance values with associated timestamp.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

