# RegisterSvnfmPackagesResponseInfo

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **str** | Identifier generated for the SVNFM package | [optional] 
**catalog_id** | **str** | Catalog Id for the SVNFM package | [optional] 
**vnfd_id** | **str** | VNF Id for the SVNFM package | [optional] 
**vnf_product_name** | **str** | Product Name for the SVNFM package | [optional] 
**vnf_software_version** | **str** | Software version for the SVNFM package | [optional] 
**vnfd_version** | **str** | VNFD version for the SVNFM package | [optional] 
**user_defined_data** | [**RegisterSvnfmPackagesResponseInfoUserDefinedData**](RegisterSvnfmPackagesResponseInfoUserDefinedData.md) |  | [optional] 
**onboarding_state** | **str** | Onboarding state of the registered SVNFM package | [optional] 
**operational_state** | **str** | Operational state of the registered SVNFM package | [optional] 
**managed_by** | [**RegisterSvnfmPackagesResponseInfoManagedBy**](RegisterSvnfmPackagesResponseInfoManagedBy.md) |  | [optional] 
**vnf_provider** | **str** | Provider information for SVNFM package | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

