# Settings

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**sso_domain** | **str** |  | [optional] [default to 'vsphere.local']
**psc_user_group** | **str** |  | [optional] [default to 'Administrators']
**saas** | **str** |  | [optional] 
**enable_csi_zoning** | **bool** |  | [optional] [default to False]
**validate_cloud_builder_spec** | **bool** |  | [optional] [default to True]
**csi_region_tag_naming_scheme** | **str** |  | [optional] [default to 'region-{domainName}']
**cluster_csi_zone_tag_naming_scheme** | **str** |  | [optional] [default to 'zone-{domainName}']
**host_csi_zone_tag_naming_scheme** | **str** |  | [optional] [default to 'zone-{hostname}']
**dns_suffix** | **str** |  | 
**airgap_server** | [**AirgapServer**](AirgapServer.md) |  | [optional] 
**ntp_servers** | **list[str]** |  | [optional] 
**dns_servers** | **list[str]** |  | 
**appliance_naming_scheme** | **str** |  | [optional] [default to '{applianceName}-{domainName}']
**proxy** | [**ProxyConfig**](ProxyConfig.md) |  | [optional] 
**appliances_shared_with_management_domain** | [**list[ApplianceSharedWithManagementDomain]**](ApplianceSharedWithManagementDomain.md) |  | [optional] 
**comments** | **list[str]** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

