# tca.troubleshooting.SupportApi

All URIs are relative to */hybridity/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_system_details**](SupportApi.md#get_system_details) | **GET** /systemDetails | 

# **get_system_details**
> SystemDetails get_system_details()



Get System Details

### Example
```python
from __future__ import print_function
import time
import tca.troubleshooting
from tca.troubleshooting.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = tca.troubleshooting.SupportApi()

try:
    api_response = api_instance.get_system_details()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SupportApi->get_system_details: %s\n" % e)
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**SystemDetails**](SystemDetails.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

