# SystemData

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**system_uuid** | **str** | TCA/CP internal UUID. | [optional] 
**system_name** | **str** | The system name. This is usually the user configured name of TCA (or CP). | [optional] 
**system_type** | **str** | The type of system, namely, &#x27;tca-manager&#x27;, &#x27;tca-controlplane&#x27;, or &#x27;tca-bootstrapper&#x27;. | [optional] 
**version** | **str** | The build version of the TCA (or the CP). | [optional] 
**link_last_communicated** | **str** | In case of tca-controlplane (CP), the time when the CP did communicate last to the tca-manager (TCA). | [optional] 
**link_verified** | **str** | In case of tca-controlplane (CP), the time when the CP communication to the tca-manager (TCA) was acknowledged last by the latter. | [optional] 
**link_established** | **str** | The first time when the CP did communicate to the tca-manager (TCA), after the last failed communication (if any). | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

