# tca.tcfm.TaskApi

All URIs are relative to */hybridity/api/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_task_by_id**](TaskApi.md#get_task_by_id) | **GET** /ztp/tasks/{taskId} | Get A Task

# **get_task_by_id**
> Task get_task_by_id(task_id)

Get A Task

Get A Task

### Example
```python
from __future__ import print_function
import time
import tca.tcfm
from tca.tcfm.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = tca.tcfm.TaskApi()
task_id = 'task_id_example' # str | Task ID

try:
    # Get A Task
    api_response = api_instance.get_task_by_id(task_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TaskApi->get_task_by_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **task_id** | **str**| Task ID | 

### Return type

[**Task**](Task.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

