# TerminateVnfRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**termination_type** | **str** | Indicates whether forceful or graceful termination is requested. Permitted values: * FORCEFUL: The VNFM will shut down the VNF and release the   resources immediately after accepting the request. * GRACEFUL: The VNFM will first arrange to take the VNF out of service after accepting the request. Once the operation of taking the VNF out of service finishes (irrespective of whether it has succeeded or failed) or once the timer value specified in the \&quot;gracefulTerminationTimeout\&quot; attribute expires, the VNFM will shut down the VNF and release the resources.  | 
**graceful_termination_timeout** | **int** | This attribute is only applicable in case of graceful termination. It defines the time to wait for the VNF to be taken out of service before shutting down the VNF and releasing the resources. The unit is seconds. If not given and the \&quot;terminationType\&quot; attribute is set to \&quot;GRACEFUL\&quot;, it is expected that the VNFM waits for the successful taking out of service of the VNF, no matter how long it takes, before shutting down the VNF and releasing the resources.  | [optional] 
**additional_params** | [**TerminateVnfRequestAdditionalParams**](TerminateVnfRequestAdditionalParams.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

