# ThresholdCriteriaSimpleThresholdDetails

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**threshold_value** | **float** | The threshold value. Shall be represented as a floating point number.  | 
**hysteresis** | **float** | The hysteresis of the threshold. Shall be represented as a non-negative floating point number. A notification with crossing direction \&quot;UP\&quot; will be generated if the measured value reaches or exceeds \&quot;thresholdValue\&quot; + \&quot;hysteresis\&quot;. A notification with crossing direction \&quot;DOWN\&quot; will be generated if the measured value reaches or undercuts \&quot;thresholdValue\&quot; - \&quot;hysteresis\&quot;. The hysteresis is defined to prevent storms of threshold crossing notifications. When processing a request to create a threshold, implementations should enforce a suitable minimum value for this attribute (e.g. override the value or reject the request).  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

