# tca.vc_inventory.VcInventoryApi

All URIs are relative to */telco/api/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**query_vc_inventory_full_path**](VcInventoryApi.md#query_vc_inventory_full_path) | **POST** /inventory/vc/path/query | Api to query full inventory path for vc objects

# **query_vc_inventory_full_path**
> FullInventoryPathResponse query_vc_inventory_full_path(body)

Api to query full inventory path for vc objects

Api to query full inventory path for vc objects

### Example
```python
from __future__ import print_function
import time
import tca.vc_inventory
from tca.vc_inventory.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = tca.vc_inventory.VcInventoryApi()
body = tca.vc_inventory.FullInventoryPathRequest() # FullInventoryPathRequest | Query inventory full path

try:
    # Api to query full inventory path for vc objects
    api_response = api_instance.query_vc_inventory_full_path(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling VcInventoryApi->query_vc_inventory_full_path: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**FullInventoryPathRequest**](FullInventoryPathRequest.md)| Query inventory full path | 

### Return type

[**FullInventoryPathResponse**](FullInventoryPathResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json, application/x-yaml
 - **Accept**: application/json, application/x-yaml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

