# VnfInfoModifications

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**vnf_instance_name** | **str** | If present, this attribute signals modifications of the \&quot;vnfInstanceName\&quot; attribute in \&quot;VnfInstance\&quot;.  | [optional] 
**vnf_instance_description** | **str** | If present, this attribute signals modifications of the \&quot;vnfInstanceDescription\&quot; attribute in \&quot;VnfInstance\&quot;.  | [optional] 
**vnf_configurable_properties** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**metadata** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**extensions** | [**KeyValuePairs**](KeyValuePairs.md) |  | [optional] 
**vnfd_id** | [**Identifier**](Identifier.md) |  | [optional] 
**vnf_provider** | **str** | If present, this attribute signals modifications of the \&quot;vnfProvider\&quot; attribute in \&quot;VnfInstance\&quot;. If present, this attribute (which depends on the value of the \&quot;vnfPkgId\&quot; attribute) was modified implicitly following a request to modify the \&quot;vnfPkgId\&quot; attribute, by copying the value of this attribute from the VNFD in the VNF Package identified by the \&quot;vnfPkgId\&quot; attribute.  | [optional] 
**vnf_product_name** | **str** | If present, this attribute signals modifications of the \&quot;vnfProductName\&quot; attribute in \&quot;VnfInstance\&quot;. If present, this attribute (which depends on the value of the \&quot;vnfPkgId\&quot; attribute) was modified implicitly following a request to modify the \&quot;vnfPkgId\&quot; attribute, by copying the value of this attribute from the VNFD in the VNF Package identified by the \&quot;vnfPkgId\&quot; attribute.  | [optional] 
**vnf_software_version** | [**Version**](Version.md) |  | [optional] 
**vnfd_version** | [**Version**](Version.md) |  | [optional] 
**vnfc_info_modifications** | [**list[VnfcInfoModifications]**](VnfcInfoModifications.md) | If present, this attribute signals modifications of certain entries in the \&quot;vnfcInfo\&quot; attribute array in the \&quot;instantiatedVnfInfo\&quot; attribute of \&quot;VnfInstance\&quot;, as defined in clause 5.5.2.12  | [optional] 
**vnfc_info_modifications_delete_ids** | [**list[Identifier]**](Identifier.md) | If present, this attribute signals the deletion of certain entries in the \&quot;vnfcInfo\&quot; attribute array in the \&quot;instantiatedVnfInfo\&quot; attribute of \&quot;VnfInstance\&quot;, as defined in clause 5.5.2.12  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

