# VnfInstanceInstantiatedVnfInfo

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**flavour_id** | [**IdentifierInVnfd**](IdentifierInVnfd.md) |  | 
**vnf_state** | [**VnfOperationalStateType**](VnfOperationalStateType.md) |  | 
**scale_status** | [**list[VnfScaleInfo]**](VnfScaleInfo.md) | Scale status of the VNF, one entry per aspect. Represents for every scaling aspect how \&quot;big\&quot; the VNF has been scaled w.r.t. that aspect.  | [optional] 
**max_scale_levels** | [**list[VnfScaleInfo]**](VnfScaleInfo.md) | Maximum allowed scale levels of the VNF, one entry per aspect. This attribute shall be present if the VNF supports scaling.  | [optional] 
**ext_cp_info** | [**list[VnfExtCpInfo]**](VnfExtCpInfo.md) | Information about the external CPs exposed by the VNF instance.  | 
**ext_virtual_link_info** | [**list[ExtVirtualLinkInfo]**](ExtVirtualLinkInfo.md) | Information about the external VLs the VNF instance is connected to.  | [optional] 
**ext_managed_virtual_link_info** | [**list[ExtManagedVirtualLinkInfo]**](ExtManagedVirtualLinkInfo.md) | External virtual links the VNF instance is connected to.  | [optional] 
**monitoring_parameters** | [**list[VnfMonitoringParameter]**](VnfMonitoringParameter.md) | Performance metrics tracked by the VNFM (e.g. for  auto-scaling purposes) as identified by the VNF  provider in the VNFD.  | [optional] 
**localization_language** | **str** | Information about localization language of the VNF (includes e.g. strings in the VNFD). The localization languages supported by a VNF can be declared in the VNFD, and localization language selection can take place at instantiation time. The value shall comply with the format defined in IETF RFC 5646.  | [optional] 
**vnfc_resource_info** | [**list[VnfcResourceInfo]**](VnfcResourceInfo.md) | Information about the virtualised compute and storage resources used by the VNFCs of the VNF instance.  | [optional] 
**virtual_link_resource_info** | [**list[VnfVirtualLinkResourceInfo]**](VnfVirtualLinkResourceInfo.md) | Information about the virtualised network resources used by the VLs of the VNF instance.  | [optional] 
**virtual_storage_resource_info** | [**list[VirtualStorageResourceInfo]**](VirtualStorageResourceInfo.md) | Information on the virtualised storage resource(s) used as storage for the VNF instance.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

