# VnfLcmOpOcc

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | [**Identifier**](Identifier.md) |  | 
**operation_state** | [**LcmOperationStateType**](LcmOperationStateType.md) |  | 
**state_entered_time** | **datetime** |  | 
**start_time** | **datetime** |  | 
**vnf_instance_id** | [**Identifier**](Identifier.md) |  | 
**grant_id** | [**Identifier**](Identifier.md) |  | [optional] 
**operation** | [**LcmOperationType**](LcmOperationType.md) |  | 
**is_automatic_invocation** | [**Boolean**](Boolean.md) |  | 
**operation_params** | **object** | Input parameters of the LCM operation. This attribute shall be formatted according to the request data type of the related LCM operation. The following mapping between operationType and the data type of this attribute shall apply: * INSTANTIATE: InstantiateVnfRequest * SCALE: ScaleVnfRequest * SCALE_TO_LEVEL: ScaleVnfToLevelRequest * CHANGE_FLAVOUR: ChangeVnfFlavourRequest * OPERATE: OperateVnfRequest * HEAL: HealVnfRequest * CHANGE_EXT_CONN: ChangeExtVnfConnectivityRequest * TERMINATE: TerminateVnfRequest * MODIFY_INFO: VnfInfoModifications  | [optional] 
**is_cancel_pending** | [**Boolean**](Boolean.md) |  | 
**cancel_mode** | [**CancelModeType**](CancelModeType.md) |  | [optional] 
**error** | [**ProblemDetails**](ProblemDetails.md) |  | [optional] 
**resource_changes** | [**VnfLcmOpOccResourceChanges**](VnfLcmOpOccResourceChanges.md) |  | [optional] 
**changed_info** | [**VnfInfoModifications**](VnfInfoModifications.md) |  | [optional] 
**changed_ext_connectivity** | [**list[ExtVirtualLinkInfo]**](ExtVirtualLinkInfo.md) | Information about changed external connectivity, if applicable. This allows the NFVO to obtain the information contained in the latest \&quot;result\&quot; notification if it has not received it due to an error or a wrongly configured subscription filter.  | [optional] 
**links** | [**VnfLcmOpOccLinks**](VnfLcmOpOccLinks.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

