# VnfLcmOpOccResourceChanges

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**affected_vnfcs** | [**list[AffectedVnfc]**](AffectedVnfc.md) | Information about VNFC instances that were affected during the lifecycle operation. This allows the NFVO to obtain the information contained in the latest \&quot;result\&quot; notification if it has not received it due to an error or a wrongly configured subscription filter.  | [optional] 
**affected_virtual_links** | [**list[AffectedVirtualLink]**](AffectedVirtualLink.md) | Information about VL instances that were affected during the lifecycle operation. This allows the NFVO to obtain the information contained in the latest \&quot;result\&quot; notification if it has not received it due to an error or a wrongly configured subscription filter.  | [optional] 
**affected_virtual_storages** | [**list[AffectedVirtualStorage]**](AffectedVirtualStorage.md) | Information about virtualised storage instances that were affected during the lifecycle operation. This allows the NFVO to obtain the information contained in the latest \&quot;result\&quot; notification if it has not received it due to an error or a wrongly configured subscription filter.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

