"""
   Copyright (c) 2021-2022 VMware, Inc. All rights reserved.
   VMware Confidential
   Author: banerjees@vmware.com
"""

from tca.api.client.configuration import Configuration
from tca.api.client.rest import RESTClientObject, RESTResponse, ApiException, logger

__package_dict__ = {}
__configuration_dict__ = {}
__api_client_dict__ = {}

#DEV-ACTION: Add package imports for every new Featur API-set
import tca.nsdm
import tca.vnfpkgm
import tca.vnflcm
import tca.nsdm
import tca.nsdm_extn
import tca.nsfm
import tca.nslcm
import tca.nslcm_extn
import tca.vnffm
import tca.vnflcm
import tca.vnfpkgm
import tca.vnfpm
import tca.vnfpm_extn
import tca.nfv_vim_v1
import tca.cnf_lcm_v1
import tca.ns_lcm_v1
import tca.svnfm
import tca.tcfm
import tca.cluster
import tca.clustertemplate
import tca.infra
import tca.vnffm_v1
import tca.vnfpm_v1
import tca.troubleshooting
import tca.summary
import tca.caas_v2
import tca.caas_v2_templates
import tca.vc_inventory
import tca.caas_v2_addon
import tca.caas_v2_events
import tca.caas_v2_nodepool
import tca.caas_k8s_generic_cr


import tca.system_management


# TODO Write a utility method to check if the requested API package is loaded into the registry, or not.
# TODO Validations, Pre-warnings
