"""
   Copyright (c) 2021-2022 VMware, Inc. All rights reserved.
   VMware Confidential
   Author: banerjees@vmware.com
"""

class TCAApi(object):

    def list(self):
        print("List of operations for the client: ", self)
        for func in dir(self):
            if callable(getattr(self, func)) and not func.startswith("__"):
                print(" - ", func)
        print('\n')

    def get_all_operations(self):
        """
            :return: A list of methods that can be invoked on this client
        """
        return [func for func in dir(self) if
                callable(getattr(self, func)) and
                not func.startswith("__")]